メインコンテンツまでスキップ
Version: v6

Support Policy

Community Maintenance

The Ionic Framework has been 100% open source (MIT) since the very beginning, and always will be. Developers can ensure Ionic is the right choice for their cross-platform apps through Ionic’s community maintenance strategy. The Ionic team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

Framework Maintenance and Support Status

Given the reality of time and resource constraints as well as the desire to keep innovating in the frontend development space, over time it becomes necessary for the Ionic team to shift focus to newer versions of the Framework. However, Ionic will do everything it can to make the transition to newer versions as smooth as possible. The Ionic team recommends updating to the newest version of the Ionic Framework for the latest features, improvements and stability updates. For more details, consult the Migration page.

The current status of each Ionic Framework version is:

VersionStatusReleasedMaintenance EndsExt. Support Ends
V7ActiveTBDTBDTBD
V6MaintenanceDec 8, 2021TBDTBD
V5Extended Support OnlyFeb 11, 2020June 8, 2022Dec 8, 2022
V4End of SupportJan 23, 2019Aug 11, 2020Sept 30, 2022
V3End of SupportApr 5, 2017Oct 30, 2019Aug 11, 2020
V2End of SupportJan 25, 2017Apr 5, 2017Apr 5, 2017
V1End of SupportMay 12, 2015Jan 25, 2017Jan 25, 2017
  • Maintenance: Only critical bug and security fixes. No major feature improvements.
  • Extended Support: For teams and organizations that require additional long term support, Ionic has extended support options available. To learn more, see our Enterprise offerings.

Compatibility Recommendations

The Ionic team has compiled a set of recommendations for using the Ionic Framework in conjunction with other contextually-relevant software. This is not meant to be a comprehensive list, but covers many common compatibility questions. The Ionic team strongly recommends reviewing your project dependencies once each quarter to keep track of new releases, features and bug fixes.

Core Dependencies

Ionic Angular

FrameworkMinimum Angular VersionMaximum Angular VersionTypeScript
v7v13v15.x^4.4+
v6v12v15.x^4.0+
v5v8.2v12.x3.5+
v4v8.2v11.x3.5+
v3v5.2.11v5.2.112.6.2

^ Angular 14.x supported starting in Ionic v6.1.9. Angular 15.x supported starting in Ionic v6.3.6.

Angular 13+ Support On Older Versions of iOS

Angular's support policy for iOS is the two most recent major versions. This means that changes to your Angular project may be necessary to use Ionic Angular v4-v6 on iOS 13. To support iOS 13, change the project target specified in compilerOptions in the tsconfig.json to es5. Without this change an error of Unexpected token '.' in promiseReactionJob will occur on app startup in iOS 13.

Note that later versions of Ionic do not support iOS 13; see mobile support table here.

Ionic React

FrameworkRequired React VersionTypeScript
v7v17+3.7+
v6v17+3.7+
v5v16.8+3.7+
v4v16.8+3.7+

Ionic Vue

FrameworkRequired Vue VersionTypeScript
v7v3.0.6+3.9+
v6v3.0.6+3.9+
v5v3.0+3.9+

Native Bridges

FrameworkCordovaCapacitor
V5 - Angularcordova-android 8.X, cordova-ios 5.XLatest 2.X
V5 - ReactNot supportedLatest 2.x
V5 - VueNot supportedLatest 2.X
V4 - Angularcordova-android 8.X, cordova-ios 5.XLatest 2.X
V4 - ReactNot supportedLatest 2.x
V3cordova-android 8.X, cordova-ios 5.XNot officially supported
  • As iOS and Android (and related tools) are updated, you can expect more updates for Cordova and Capacitor, so it is recommended to stay on the latest version(s) of Cordova and Capacitor.

Ionic Platform & Products

FrameworkAppflowIonic Native Premier Plugins*
V5 - Angular@ionic/angular 5.XUse latest available
V5 - React@ionic/react 5.XUse latest available
V4 - Angular@ionic/angular 4.XUse latest available
V4 - React@ionic/react 4.XUse latest available
V3ionic-angular 3.9.XUse latest; special configuration may be required

Ionic Platform & Products (Cont.)

FrameworkIonic StudioIonic Native Community Plugins*
V5 - Angular@ionic/angular 5.X@awesome-cordova-plugins 5.X
V5 - ReactNot currently supported@awesome-cordova-plugins 5.X*
V4 - Angular@ionic/angular 5.X@awesome-cordova-plugins 5.X
V4 - ReactNot currently supported@awesome-cordova-plugins 5.X*
V3Not currently supported@awesome-cordova-plugins 4.X
  • Wrappers (and their associated plugins) are community maintained.
  • *Cordova plugin support with Ionic Native and @ionic/react can be achieved using the vanilla JavaScript implementation